Bug 97824 - [HELP] improve description of SUMIFS conditions
Summary: [HELP] improve description of SUMIFS conditions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Olivier Hallot
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2016-02-12 22:31 UTC by Dennis Roczek
Modified: 2016-10-25 19:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Roczek 2016-02-12 22:31:31 UTC
https://help.libreoffice.org/Calc/SUMIFS_function

The criteria / parameter are clear if you have ever worked with them. I had to work with them last week the first time. The interesting part is that Apple iWorks' Numbers' documentation is very good in that part. See

"For each of the test and condition value pairs, the corresponding (same position within range or array) cell or value is compared to the condition. If all of the conditions are met, the corresponding cell or value in sum-values is included in the sum.
All arrays must be of the same size."

I think we really should improve the documentation on that part as I think that Apple did a good job in describing what the function does.
Comment 1 tagezi 2016-02-19 11:42:49 UTC
"If the range of values for calculating the sum and any range for finding criterion have unequal sizes, the function returns err:502."

from this logically follows that the range should be equal, and each element of the sequence is compared with the corresponding. In addition, I specially made an excessive number of examples with explanations of why such a result is obtained.

But, if you have knowledge how you can improve this article, without making it excessive or illogical, I think you can try it.
Comment 2 Olivier Hallot 2016-02-19 11:49:56 UTC
I propose a warning paragraph of its own just below the paragraph that start with Criterion_2, with the following content:

<emph>Sum_range</emph> and <emph>Criterion_range1, Criterion_range2...</emph> must have the same size or the function returns err:502 - Invalid argument
Comment 3 Commit Notification 2016-04-06 13:31:25 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=e22230a873bf0cd2e10746557f6d0003ee7a9859

tdf#97824 improve description of SUMIFS conditions